# Uses of Class
org.eclipse.equinox.p2.metadata.expression.SimplePattern

Packages that use SimplePattern
Package
Description
org.eclipse.equinox.p2.metadata.expression
Provides a simple expression language used to represent requirements and filters in the metadada

## Uses of SimplePattern in org.eclipse.equinox.p2.metadata.expression

Classes in org.eclipse.equinox.p2.metadata.expression that implement interfaces with type arguments of type SimplePattern
Modifier and Type
Class
Description
`class`
`SimplePattern`
A simple compiled pattern.
Methods in org.eclipse.equinox.p2.metadata.expression that return SimplePattern
Modifier and Type
Method
Description
`static SimplePattern`
SimplePattern.`compile(String pattern)`
Methods in org.eclipse.equinox.p2.metadata.expression with parameters of type SimplePattern
Modifier and Type
Method
Description
`int`
SimplePattern.`compareTo(SimplePattern o)`